/*# sourceMappingURL=timeline.css.map */

:root {
	--bedstone-palette-text: var(--wp--preset--color--dark-gray);
	--bedstone-palette-text-alt: var(--wp--preset--color--blue-gray);
	--bedstone-palette-bg: var(--wp--preset--color--almost-white);
	--bedstone-palette-bg-alt: var(--wp--preset--color--white);
	--bedstone-palette-interactive: var(--wp--preset--color--red);
	--bedstone-palette-attention: var(--wp--preset--color--red);
	--bedstone-palette-brand-1: var(--wp--preset--color--blue);
	--bedstone-palette-brand-2: var(--wp--preset--color--gray);
	--bedstone-palette-brand-3: var(--wp--preset--color--blue-gray);
	--bedstone-palette-brand-4: var(--wp--preset--color--mid-gray);
	--bedstone-palette-dark: var(--wp--preset--color--almost-black);
	--bedstone-palette-light: var(--wp--preset--color--almost-white);
}

.timeline {
	position: relative;
	margin-top: 1.5rem;
	margin-bottom: 2rem;
}

.timeline::before {
	content: "";
	background: var(--bedstone-palette-text-alt);
	opacity: .5;
	width: 5px;
	height: 95%;
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	margin-top: 30px;
}

.timeline-item {
	width: 100%;
	margin-bottom: 1rem;
}

.timeline-item:nth-child(odd) .timeline-content h4 {
	margin-top: .75rem;
	margin-right: 35px;
}

.timeline-item:nth-child(even) .timeline-content {
	float: right;
	padding: 40px 30px 10px 30px;
}

.timeline-item:nth-child(even) .timeline-content .date {
	right: auto;
	left: 0;
}

.timeline-item::after {
	content: "";
	display: block;
	clear: both;
}

.timeline-content {
	position: relative;
	width: 47.5%;
	padding: 10px 30px;
	background: #fff;
	box-shadow: 0 2px 20px 2px rgba(0, 0, 0, .14);
	overflow: hidden;
	border-radius: .3em;
}

.timeline-img {
	width: 30px;
	height: 30px;
	background: var(--bedstone-palette-text-alt);
	border-radius: 50%;
	position: absolute;
	left: 50%;
	margin-top: 5px;
	margin-left: -15px;
}

.timeline-card {
	padding: 0 !important;
}

.timeline-item .timeline-img-header {
	position: relative;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: cover;
	display: block;
}

.timeline-item .timeline-img-header:before {
	content: "";
	background: #000;
	background: -moz-linear-gradient(180deg, rgba(0, 0, 0, .2) 0%, rgba(0, 0, 0, .8) 100%);
	background: -webkit-linear-gradient(180deg, rgba(0, 0, 0, .2) 0%, rgba(0, 0, 0, .8) 100%);
	background: linear-gradient(180deg, rgba(0, 0, 0, .2) 0%, rgba(0, 0, 0, .8) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#002155", endColorstr="#002155", GradientType=1);
	position: absolute;
	width: 100%;
	height: 100%;
}

.timeline-img-header {
	aspect-ratio: 16/9;
	position: relative;
}

.timeline-img-header h4 {
	font-size: 20px;
	font-weight: bold;
	color: var(--bedstone-palette-bg);
	position: absolute;
	bottom: 10px;
	left: 20px;
	right: 20px;
}

.date {
	background: var(--bedstone-palette-attention);
	display: inline-block;
	color: var(--bedstone-palette-bg);
	padding: 10px;
	font-weight: bold;
	position: absolute;
	top: 0;
	right: 0;
}

.timeline-content-wrapper {
	padding: 10px 20px;
}

.timeline-content p {
	font-size: 15px;
}

@media screen and (max-width: 768px) {
	.timeline::before {
		left: 50px;
	}
	
	.timeline .timeline-img {
		left: 50px;
	}
	
	.timeline .timeline-content {
		max-width: 100%;
		width: auto;
		margin-left: 70px;
	}
	
	.timeline .timeline-item:nth-child(even) .timeline-content {
		float: none;
	}
	
	.timeline .timeline-item:nth-child(odd) .timeline-content::after {
		content: "";
		position: absolute;
		border-style: solid;
		width: 0;
		height: 0;
		top: 30px;
		left: -15px;
		border-width: 10px 15px 10px 0;
		border-color: rgba(0, 0, 0, 0) var(--bedstone-palette-bg) rgba(0, 0, 0, 0) rgba(0, 0, 0, 0);
	}
}
